Cloud APIs
/- Managed Planning Data Foundation
- Core Services
Spatial Ref Service
- Post the authority code of a late-bound CRS to create a persistable reference
Post components of an early-bound CRS to create a persistable reference
Post components of a late-bound CRS to create a persistable reference
Post an Ocean companion xml encoded as text to create a persistable reference
Post an Ocean textual representation to create a persistable reference
Post a transformation authority code to create a persistable reference
Post the authority code o...
Post a request containing the authority code of an unbound or late-bound CRS to create a persistable reference. The result can be used to populate an EbCrsContainer for a subsequent request to generate an early-bound CRS.
Security
bearer
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromCrsAuthorityCode
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromCrsAuthorityCode
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromCrsAuthorityCode
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromCrsAuthorityCode
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromCrsAuthorityCode
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromCrsAuthorityCode
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromCrsAuthorityCode
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromCrsAuthorityCode
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromCrsAuthorityCode
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromCrsAuthorityCode
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromCrsAuthorityCode
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromCrsAuthorityCode
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-spatial-reference-service/persistableReference/fromCrsAuthorityCode
curl -i -X POST \
https://as5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromCrsAuthorityCode \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'data-partition-id: string' \
-d '{
"lateBoundCrsAuthorityCode": "26782"
}'Success: Late-bound CRS authority code to persistable reference conversion successful
lateBoundCrsPartsobject(LbCrsContainer)
Example:
{ "lateBoundCrsWkt": "PROJCS[\"ED_1950_UTM_Zone_31N\",GEOGCS[\"GCS_European_1950\",DATUM[\"D_European_1950\",SPHEROID[\"International_1924\",6378388.0,297.0]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],PROJECTION[\"Transverse_Mercator\"],PARAMETER[\"False_Easting\",500000.0],PARAMETER[\"False_Northing\",0.0],PARAMETER[\"Central_Meridian\",3.0],PARAMETER[\"Scale_Factor\",0.9996],PARAMETER[\"Latitude_Of_Origin\",0.0],UNIT[\"Meter\",1.0],AUTHORITY[\"EPSG\",23031]]", "lateBoundCrsName": "ED_1950_UTM_Zone_31N", "lateBoundCrsAuthority": "EPSG", "lateBoundCrsAuthorityCode": "23031" }
The created persistable reference on success; null on error
Example:"{\"wkt\":\"PROJCS[\\\"ED_1950_UTM_Zone_31N\\\",GEOGCS[\\\"GCS_European_1950\\\",DATUM[\\\"D_European_1950\\\",SPHEROID[\\\"International_1924\\\",637
Response
{ "lateBoundCrsParts": { "lateBoundCrsWkt": "PROJCS[\"ED_1950_UTM_Zone_31N\",GEOGCS[\"GCS_European_1950\",DATUM[\"D_European_1950\",SPHEROID[\"International_1924\",6378388.0,297.0]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],PROJECTION[\"Transverse_Mercator\"],PARAMETER[\"False_Easting\",500000.0],PARAMETER[\"False_Northing\",0.0],PARAMETER[\"Central_Meridian\",3.0],PARAMETER[\"Scale_Factor\",0.9996],PARAMETER[\"Latitude_Of_Origin\",0.0],UNIT[\"Meter\",1.0],AUTHORITY[\"EPSG\",23031]]", "lateBoundCrsName": "ED_1950_UTM_Zone_31N", "lateBoundCrsAuthority": "EPSG", "lateBoundCrsAuthorityCode": "23031" }, "persistableReference": "{\"wkt\":\"PROJCS[\\\"ED_1950_UTM_Zone_31N\\\",GEOGCS[\\\"GCS_European_1950\\\",DATUM[\\\"D_European_1950\\\",SPHEROID[\\\"International_1924\\\",6378388.0,297.0]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],PROJECTION[\\\"Transverse_Mercator\\\"],PARAMETER[\\\"False_Easting\\\",500000.0],PARAMETER[\\\"False_Northing\\\",0.0],PARAMETER[\\\"Central_Meridian\\\",3.0],PARAMETER[\\\"Scale_Factor\\\",0.9996],PARAMETER[\\\"Latitude_Of_Origin\\\",0.0],UNIT[\\\"Meter\\\",1.0],AUTHORITY[\\\"EPSG\\\",23031]]\",\"ver\":\"PE_10_3_1\",\"name\":\"ED_1950_UTM_Zone_31N\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"23031\"},\"type\":\"LBC\"}", "statusInformation": "Success" }